<template>
<!-- TodoList: HelloWorld, v-for, v-html, Filters, v-if, v-show -->
    <div name="TodoList">
        <h2>{{ message }}</h2>
    </div>
</template>

<script>
export default {
    name: "TodoList",
    data() {
        return {
            message: "This is a message from TodoList.vue",
            text: "",
            todos: [
                {
                    id: 1,
                    name: "<strong>Todo 1</strong>",
                    time: 1526710200,
                    completed: false
                },
                {
                    id: 2,
                    name: "Todo 2",
                    time: 1526710204,
                    completed: false
                },
                {
                    id: 3,
                    name: "Todo 3",
                    time: 1526710215,
                    completed: true
                },
                {
                    id: 4,
                    name: "Todo 4",
                    time: 1526710218,
                    completed: true
                },
                {
                    id: 5,
                    name: "Todo 5",
                    time: 1526710256,
                    completed: false
                }
            ]
        }
    }
}
</script>

<style scope>
.green {
    color: green
}

.red {
    color: red
}
</style>